package it.dornauf.win.util;

/**
$Id: $ 
Copyright [2004, 2013] [Oliver Dornauf, pda-systems.COM]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

import junit.framework.TestCase;

public class WindowsPreferencesWrapperTest extends TestCase
{
    private WindowsPreferencesWrapper windowsPreferencesWrapper;
    @Override
    protected void setUp() throws Exception {

        super.setUp();
        windowsPreferencesWrapper = WindowsPreferencesWrapper.getInstance();
    }

    @Override
    protected void tearDown() throws Exception {

        super.tearDown();
    }

    public void testHKCU() {
        String test = windowsPreferencesWrapper.getHKCUKeyValue(
                "Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders", "Local Settings");
        assertNotNull(test);
        System.out.println(test);

    }
    public void testHKLM() {
        String test = windowsPreferencesWrapper.getHKLMKeyValue(
                "SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion", "ProductName");
        assertNotNull(test);
        System.out.println(test);
        test = windowsPreferencesWrapper.getHKLMKeyValue(
                "SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion", "CurrentVersion");
        System.out.println(test);
        assertNotNull(test);
        

    }
}
